ZCASH-CLI(1)

NAME
zcash-cli - RPC client for the Zcash daemon

DESCRIPTION
Zcash RPC client version v1.0.5

  Usage:

zcash-cli [options] <command> [params]
    Send command to Zcash

zcash-cli [options] help
    List commands

zcash-cli [options] help <command>
    Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: zcash.conf)

-datadir=<dir>

    Specify data directory

-testnet

    Use the test network

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8232 or testnet: 18232)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

SSL options: (see the Bitcoin Wiki for SSL setup instructions)

-rpcssl

    Use OpenSSL (https) for JSON-RPC connections

SEE ALSO
The full documentation for Zcash is maintained as a Texinfo manual. If the info and Zcash programs are properly installed at your site, the command

    info Zcash

should give you access to the complete manual.